|  | Home | Documentation | soap_curl_data Struct Reference updated Tue Jan 15 2019 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_curl_data Struct Reference

plugin data to store CURL handle and override callbacks More...

`#include <curlapi.h>`

## Public Attributes
struct soap * | soap
CURL * | curl
short | own
short | active
struct curl_slist * | hdr
char * | blk
char * | ptr
struct soap_blist * | lst
soap_mode | mode
char | buf [CURL_ERROR_SIZE]
int(* | fconnect )(struct soap *, const char *, const char *, int)
int(* | fsend )(struct soap *, const char *, size_t)
size_t(* | frecv )(struct soap *, char *, size_t)
int(* | fprepareinitrecv )(struct soap *)
int(* | fpreparefinalrecv )(struct soap *)

## Detailed Description

plugin data to store CURL handle and override callbacks

## Member Data Documentation

short soap_curl_data::active

when true: override IO

char* soap_curl_data::blk

current block of data received from CURL stored in blist lst

char soap_curl_data::buf[CURL_ERROR_SIZE]

CURL* soap_curl_data::curl

CURL handle (passed as arg to plugin or internal)

int(* soap_curl_data::fconnect) (struct soap *, const char *, const char *, int)

int(* soap_curl_data::fpreparefinalrecv) (struct soap *)

int(* soap_curl_data::fprepareinitrecv) (struct soap *)

size_t(* soap_curl_data::frecv) (struct soap *, char *, size_t)

int(* soap_curl_data::fsend) (struct soap *, const char *, size_t)

struct curl_slist* soap_curl_data::hdr

to add custom HTTP headers

struct soap_blist* soap_curl_data::lst

block list with data sent to CURL and received from CURL

soap_mode soap_curl_data::mode

short soap_curl_data::own

we own the CURL handle

char* soap_curl_data::ptr

points to data in blk

struct soap* soap_curl_data::soap

The documentation for this struct was generated from the following file:

- curlapi.h